@if (showLoader() && manga() === null) {
  <p>Loading</p>
}

@if (!showLoader() && manga() === null) {
  <p>No manga</p>
}

@if (manga(); as manga) {
  <div class="manga-header">
    <moe-manga-cover [manga]="manga" sizes="30vw"/>

    <div class="info">
      <h1 class="title">{{ manga.title }}</h1>
      <span class="original-title">チェンソーマン</span>
      <span class="author">Fujimoto Tatsuki</span>
    </div>
    <div class="stats">
      <moe-manga-stats [manga]="manga"/>
      <moe-manga-status [status]="manga.status"/>
    </div>

    <moe-manga-tags [tags]="manga.tags"/>

    <div class="manga-actions-group">
      <moe-manga-bookmark-button [manga]="manga"/>
      <moe-manga-rate-button [manga]="manga"/>
      <moe-manga-read-button/>
    </div>
  </div>

  <moe-manga-description [manga]="manga"/>

  <moe-manga-chapters [mangaId]="manga.id"/>
}
